# 正式环境部署文档

## jar包部署

有2个jar包需要部署 分别是 sms_blk_api-exec.jar(对外接口程序)、 sms_blk_interface-exec.jar(对接数据借口)

- sms_blk_api.exec.jar

```sh
# 部署目录 192.168.70.130:/data1/sms_blk/sms_blk_api/
# 启动命令 
sh run.sh
# 停止命令
sh stop.sh

# 为了保证能开对测试环境的访问，同时添加了在133.96.94.108上的nginx映射到12110端口
# 打包之前需要注意修改验证条件
```

- sms_blk_interface-exec.jar

## 部署前要把测试环境停掉，修改数据库连接为正式环境的配置，把 192.168.10.7:/data1/sms_blk/sms_blk_interface/download/ 下的文件入库，再部署正式环境，需要在xxl启动任务

```sh
# 部署目录 192.168.70.130:/data1/sms_blk/sms_blk_interface/
# 启动命令 
sh run.sh
# 停止命令
sh stop.sh

# 为避免数据丢失，测试版本不要删除服务端文件
```

## 正式环境数据库

数据库URL jdbc:postgresql://192.168.10.54:5432/sqmmt

管理帐号postgres / PgRichr00t!

请先创建帐号 sms_blk / Sms@Richr00t 然后使用新帐号部署
