package com.nokia.sms.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryDTO {
    @NotBlank(message = "phone不能为空")
    private String phone;
    @NotBlank(message = "fromSystem不能为空")
    private String fromSystem;
}
